Package org.apache.velocity.runtime.parser.node

# Class ASTEQNode

java.lang.Object
org.apache.velocity.runtime.parser.node.SimpleNode
org.apache.velocity.runtime.parser.node.ASTBinaryOperator
org.apache.velocity.runtime.parser.node.ASTComparisonNode
org.apache.velocity.runtime.parser.node.ASTEQNode

All Implemented Interfaces:
  `Cloneable`, `Node`, `Renderable`

Direct Known Subclasses:
  `ASTNENode`

public class ASTEQNode extends ASTComparisonNode
Handles `arg1 == arg2` This operator requires that the LHS and RHS are both of the same Class, both numbers or both coerce-able to strings.

Author:
  Will Glass-Husain, Peter Romianowski, Nathan Bubna

## Field Summary

### Fields inherited from class org.apache.velocity.runtime.parser.node.SimpleNode

`children, column, first, firstImage, id, info, invalid, last, lastImage, line, literal, log, parent, parser, rsvc, state, template`

## Constructor Summary

Constructors
Constructor
Description
`ASTEQNode(int id)`
`ASTEQNode(Parser p, int id)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`compareNonNumber(Object left, Object right)`
`boolean`
`compareNull(Object left, Object right)`
Always false by default, != and == subclasses must override this.
`String`
`getLiteralOperator()`
get the string representing the mathematical operator
`boolean`
`numberTest(int compareResult)`
performs the actual comparison

### Methods inherited from class org.apache.velocity.runtime.parser.node.ASTComparisonNode

`compareNumbers, evaluate, jjtAccept, value`

### Methods inherited from class org.apache.velocity.runtime.parser.node.ASTBinaryOperator

`init, literal`

### Methods inherited from class org.apache.velocity.runtime.parser.node.SimpleNode

`childrenAccept, cleanupParserAndTokens, clone, clone, dump, dump, dump, execute, getColumn, getFirstToken, getFirstTokenImage, getInfo, getLastToken, getLastTokenImage, getLine, getLocation, getParser, getRuntimeServices, getTemplate, getTemplateName, getType, isInvalid, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, render, saveTokenImages, setFirstToken, setInfo, setInvalid, toString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ASTEQNode

public ASTEQNode(int id)

### ASTEQNode

public ASTEQNode(Parser p, int id)

## Method Details

### compareNull

public boolean compareNull(Object left, Object right)
Description copied from class: `ASTComparisonNode`
Always false by default, != and == subclasses must override this.

Overrides:
  `compareNull` in class `ASTComparisonNode`
Parameters:
  `left` -
  `right` -
Returns:
  comparison result

### getLiteralOperator

public String getLiteralOperator()
Description copied from class: `ASTComparisonNode`
get the string representing the mathematical operator

Specified by:
  `getLiteralOperator` in class `ASTComparisonNode`
Returns:
  operator string

### numberTest

public boolean numberTest(int compareResult)
Description copied from class: `ASTComparisonNode`
performs the actual comparison

Specified by:
  `numberTest` in class `ASTComparisonNode`
Parameters:
  `compareResult` -
Returns:
  comparison result

### compareNonNumber

public boolean compareNonNumber(Object left, Object right)

Overrides:
  `compareNonNumber` in class `ASTComparisonNode`